<?php

namespace App\Repository;

use App\Entity\Cron;
use Doctrine\ORM\EntityRepository;

/**
 * DeviceRepository.
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class CronRepository extends EntityRepository
{
    public function setLatestRun($script)
    {
        $em = $this->getEntityManager();
        $entities = $em->getRepository('App\Entity\Cron')->findBy(['script' => $script]);
        if (sizeof($entities) < 1) {
            $entity = new Cron();
            $entity->setScript($script);
            $em->persist($entity);
        } else {
            $entity = $entities[0];
        }
        $now = new \DateTime();
        $entity->setLatestRun($now);
        $em->flush();
    }
}
